Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Compatibility with JBoss EAP 7 [SPR-13787] #18360

Closed
spring-issuemaster opened this issue Dec 13, 2015 · 4 comments
Closed

Compatibility with JBoss EAP 7 [SPR-13787] #18360

spring-issuemaster opened this issue Dec 13, 2015 · 4 comments
Assignees
Labels
Milestone

Comments

@spring-issuemaster
Copy link
Collaborator

@spring-issuemaster spring-issuemaster commented Dec 13, 2015

Juergen Hoeller opened SPR-13787 and commented

Following up on our WildFly 10 / Undertow 1.3 oriented work in 4.2.3, let's aim for 'official' compatibility with JBoss EAP 7 in the Spring Framework 4.3 timeframe.

A JBoss EAP 7.0.0 beta release is available already: http://www.jboss.org/products/eap/download/


Issue Links:

  • #18056 Compatibility with WildFly 10 ("depends on")
  • #18366 Upgrade to JMS 2.0+ ("is depended on by")
  • #17824 Compatibility with WebSphere 9 Traditional
  • #18171 Make use of native doUpgrade operation in Undertow 1.3.5+ / 1.4
  • #18650 Compatibility with Tomcat 8.5.2 and 9.0 M6
@spring-issuemaster

This comment has been minimized.

Copy link
Collaborator Author

@spring-issuemaster spring-issuemaster commented Dec 28, 2015

Brian Clozel commented

Beta version is already out!

@spring-issuemaster

This comment has been minimized.

Copy link
Collaborator Author

@spring-issuemaster spring-issuemaster commented Jan 30, 2016

Juergen Hoeller commented

WildFly 10 is now GA, so I suppose JBoss EAP 7 GA isn't far away either...

@spring-issuemaster

This comment has been minimized.

Copy link
Collaborator Author

@spring-issuemaster spring-issuemaster commented Mar 7, 2016

Brian Clozel commented

4.2.6.BUILD-SNAPSHOT and 4.3.0.BUILD-SNAPSHOT have been tested with JBoss EAP 7.0.0.Beta1.
Without a proper GA really soon, we'll have to split this issue in two for the 4.2.x and 4.3.x lines.

@spring-issuemaster

This comment has been minimized.

Copy link
Collaborator Author

@spring-issuemaster spring-issuemaster commented Mar 7, 2016

Juergen Hoeller commented

Let's consider this as resolved for the time being, being compatible with the latest JBoss EAP 7 offering as of 4.3 RC1. If there are any concrete issues emerging on the way to JBoss EAP 7 GA still, we can still create specific tickets for them.

Juergen

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.